Set asset kind
PATCH /asset/<assetId>/kind
Description
Set the asset kind. Success (204) is also returned when the asset kind remains unchanged.
Path parameters
| Param | Description |
|---|---|
assetId |
Asset Id. |
Query parameters
none
Body
| Param | Type | Required | Description |
|---|---|---|---|
kind |
string | Yes | Asset kind. See List available kinds for all available asset kinds. |
Return codes
| Error code | Reason |
|---|---|
204 |
Success. |
400 |
Invalid body. |
401 |
Invalid or missing token. |
403 |
Insufficient permissions (required: API+ASSET_MANAGEMENT). |
404 |
Asset not found. |
Example
Curl request:
curl \
-X PATCH 'https://api.infrasonar.com/asset/123/kind' \
-H 'Authorization: Bearer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX' \
-H 'Content-Type: application/json' \
--data-raw '{
"kind": "Linux"
}'